library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_arith.all;
use ieee.std_logic_unsigned.all;

entity DM9000A_IF is
port(
	-- host side signals
	signal oINT		: out std_logic;
	signal CLK		: in std_logic;
	signal iCMD		: in std_logic;
	signal iCS_n	: in std_logic;
	signal iRST_n	: in std_logic;
	signal iIORD_n	: in std_logic;
	signal iIOWR_n	: in std_logic;
	
	signal iDATA	: in std_logic_vector(15 downto 0);
	signal oDATA	: out std_logic_vector(15 downto 0);

	-- peripheral side signals
	signal INT		: in std_logic;
	signal CMD		: out std_logic;
	signal CS_n		: out std_logic;
	signal RST_n	: out std_logic;
	signal IORD_n	: out std_logic;
	signal IOWR_n	: out std_logic;
	
	signal data : inout std_logic_vector(15 downto 0));
end entity DM9000A_IF;

architecture behaviour of DM9000A_IF is
begin
	oINT <= INT;
	CMD <= iCMD;
	CS_n <= iCS_n;
	RST_n <= iRST_n;
	IORD_n <= iIORD_n;
	IOWR_n <= iIOWR_n;
	
	data <= iDATA when iIOWR_n='0' and iCS_n='0' else (others=>'Z');
	oDATA <= data; 

end behaviour;