#ifndef	__DM9000A_H__
#define	__DM9000A_H__

#define msleep(msec)	usleep(1000*msec);	// time delay

//-----------------------------------------------------------------------------
#define IO_addr		0
#define IO_data		4

#define NCR				0x00	// Network Control Register
#define NSR				0x01	// Network Status Register
#define TCR				0x02	// Transmit Control Register
#define RCR				0x05	// Receive Control Register
#define RSR				0x06	// Receive Status Register
#define BPTR			0x08	// Back Pressure Threshold Register
#define FCTR			0x09	// Flow Control Threshold Register
#define RXFCR			0x0A	// RX Flow Control Register
#define EPCR			0x0B	// EEPROM & PHY Control Register
#define EPAR			0x0C	// EEPROM & PHY Address Register
#define EPDRL			0x0D	// EEPROM & PHY Low Byte Data Register
#define EPDRH			0x0E	// EEPROM & PHY High Byte Data Register
#define PAR				0x10	// Physical Address Register
#define MAR				0x16	// Multicast Address Register
#define GPCR			0x1E	// General Purpose Control Register
#define GPR				0x1F	// General Purpose Register
#define TCR2			0x2D	// Transmit Control Register
#define ETXCSR			0x30	// TX early Control Register
#define RCSSR			0x32	// Receive Checksum Status Register
#define MRCMDX			0xF0	// RX FIFO I/O port command READ  for dummy read a byte from RX SRAM
#define MRCMDX1			0xF1	// RX FIFO I/O port command READ  for dummy read a byte from RX SRAM
#define MRCMD			0xF2	// RX FIFO I/O port command READ  from RX SRAM
#define MWCMD			0xF8	// TX FIFO I/O port command WRITE into TX FIFO
#define TXPLL			0xFC	// TX Packet Length Register Low
#define TXPLH			0xFD	// TX Packet Length Register High
#define ISR				0xFE	// NIC Interrupt Status Register
#define IMR				0xFF	// NIC Interrupt Mask   Register

#define TRUE			1
#define FALSE			0

#define MIN_PACKET_SIZE	0x40	// Received packet min size
#define MAX_PACKET_SIZE	1522	// RX largest legal size packet with fcs & QoS
#define DM9000_PKT_MAX	3072	// TX 1 packet max size without 4-byte CRC

#endif
